# bitbake

## BitBake Init Script Name
```
--detect.bitbake.build.env.name=oe-init-build-env
```

The name of the build environment init script\.



|Details||
|---|---|
|Added|4\.4\.0|
|Type|String|
|Default Value|oe\-init\-build\-env|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

## BitBake Package Names
```
--detect.bitbake.package.names
```

A comma\-separated list of package names from which dependencies are extracted\.



|Details||
|---|---|
|Added|4\.4\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

## BitBake Source Arguments
```
--detect.bitbake.source.arguments
```

A comma\-separated list of arguments to supply when sourcing the build environment init script\.



|Details||
|---|---|
|Added|6\.0\.0|
|Type|String List|
|Default Value||
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

## BitBake Search Depth
```
--detect.bitbake.search.depth=1
```

The depth at which Detect will search for files generated by Bitbake\.



|Details||
|---|---|
|Added|6\.1\.0|
|Type|Integer|
|Default Value|1|
|Comma Separated|No|
|Case Sensitive|No|
|Acceptable Values|Any|
|Strict|No|

## Bitbake Excluded Dependency Types
```
--detect.bitbake.dependency.types.excluded=NONE,BUILD 
```

The dependency types to exclude from the results\.

BUILD dependencies include recipes that are not declared in the license\.manifest file, and native recipes\. When excluding BUILD dependencies, Detect requires the license\.manifest file \(found under the \{builddir\}/tmp directory\)\.

|Details||
|---|---|
|Added|7\.10\.0|
|Type|BitbakeDependencyType List|
|Default Value|NONE|
|Comma Separated|Yes|
|Case Sensitive|No|
|Acceptable Values|NONE, BUILD|
|Strict|Yes|
|Example|`BUILD`|




